## NAME

           rt_get_time - get the current time

## WARNING

           This is RTL v1.x compatibility function. Please do not use
           it for new programs.

## SYNOPSIS

           #define MODULE
           #include <linux/module.h>
           #include <linux/kernel.h>
           #include <linux/version.h>
           #include <linux/errno.h>
           #include <linux/rt_sched.h>

           RTIME rt_get_time(void);

## DESCRIPTION

           rt_get_time returns the number of  real-time  clock  ticks
           since  system  bootup.   This is primarily helpful in con
           junction with the defined constant RT_TICKS_PER_SECOND for
           scheduling  real-time tasks.  For example, a time interval
           of 100 msecs could be referred to as

            RTIME intvl = (RT_TICKS_PER_SECOND / 10);

           Then, for example,

            rt_task_make_periodic(&mytask, rt_get_time() + 5 * intvl,
           intvl);

           would  schedule mytask to run at 100 msec intervals start
           ing 500 msec from the present time.

## RETURN VALUE

           The number of clock ticks  since  system  bootup  time  is
           returned.

## ERRORS

           None.

## SEE ALSO

           rt_get_time(3), rt_task_make_periodic(3)